Tag Archives: logstash

Kafka 1.x to 2.x Rolling Upgrade

현재 운영중인 Kafka 버전을 올려야하는 이슈가 생겼다. 뭐 크리티컬 하지는 않지만 그래도 필요한…. logstash를 6.4버전대로 올리려고 하니까 logstash kafka input plugin 버전도 같이 올라가서 새로 올라간 버전이 1.1.x 버전을 지원하지 않는다..;; logstash 버전을 올리 수 없는 문제가 있다. 그래서 결심했다 kafka를 2.3.0 (현재 최신) 으로 올려보자. 먼저 Kafka와 Zookeeper 종료 Kafka, Zookeeper 시작 브로커가 정상적으로… Read More »

logstash auto reload config

logstash 로 config 작성할때마다 맨날 까먹는 config auto reload config를 변경하고 logstash 를 다시 시작하지 않아도 config 파일이 변경되면 새로 로딩 해준다. ./bin/logstash -f test.conf –config.reload.automatic 하지만 사용시 주의 할점은 모든 플러그인이 auto reload를 지원하지 않기 때문에 사용하는 플로그인이 지원하지 않을 경우 이슈가 발생할 수 있음.